# getDestinationDirectory

open fun getDestinationDirectory(): File

-d directory

Specifies the destination directory where javadoc saves the generated HTML files. (The "d" means "destination.") Omitting this option causes the files to be saved to the current directory. The value directory can be absolute, or relative to the current working directory. As of 1.4, the destination directory is automatically created when javadoc is run. For example, the following generates the documentation for the package com.mypackage and saves the results in the C:/user/doc/ directory:

javadoc -d /user/doc com.mypackage